Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000813Core InformPhrases and functional programmingpublic2011-12-12 06:582014-05-07 07:34
Assigned Tograham 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000813: "[any thing]" used in a phrase causes compiler to fail with confusing error message
DescriptionInvoking a topic such as "[any person]" within a To... phrase causes the compiler to issue the message "complicated instructions on understanding the player's command are not allowed in the past tense."
Minimal Source Text To Reproduce
Test is a room.
To foo (T - a topic):
   do nothing.
To bar:
   foo "[any thing]".
Additional InformationThe same code used within a rule compiles and runs correctly, hence invoking a rule from a phrase can be used as a workaround.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
graham (administrator)
2011-12-19 17:38

This now works. In fact, I think some past tense uses will now work, too, but let's not shout it around.

- Issue History
Date Modified Username Field Change
2011-12-12 06:58 capmikee New Issue
2011-12-12 15:57 EmacsUser Status new => confirmed
2011-12-12 16:05 EmacsUser Issue cloned 0000814
2011-12-19 17:38 graham Note Added: 0001503
2011-12-19 17:38 graham Status confirmed => resolved
2011-12-19 17:38 graham Resolution open => fixed
2011-12-19 17:38 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker